import initCtx from "@/utils/ctx.js";

export default function () {
	const {utils, Tea} = initCtx(this)

	this.updateItem = function (itemId) {
		utils.popup(Tea.url(".updateIPPopup", {itemId: itemId}), {
			height: utils.POPUP_HEIGHT_LG,
			callback: function () {
				utils.success("保存成功", function () {
					utils.reload()
				})
			}
		})
	}

	this.deleteItem = function (itemId) {
		utils.confirm("确定要删除这个IP吗？", function () {
			this.$post(".deleteIP")
				.params({
					"itemId": itemId
				})
				.refresh()
		})
	}

	/**
	 * 添加IP名单菜单
	 */
	this.createIP = function () {
		utils.popup(Tea.url(".createIPPopup", {listId: this.list.id}), {
			height: utils.POPUP_HEIGHT_LG,
			callback: function () {
				utils.success("保存成功", function () {
					utils.reload()
				})
			}
		})
	}
}